Next: Puts, Previous: Blocks, Up: Drawables

#### 3.2.8 Repeats

Syntax:

         repeat { n, T_1, T_2, ..., T_r } repeated_object

The repeat makes n transformed copies of repeated_object (including the original). The T_i are transforms. The k'th copy of the repeated_object (for k=0,1,...,n-1) is produced in the same manner as for `sweep`s described in Sweeps. This is repeated here (no pun intended) for convenience. To make the k'th copy, the following transform is applied to the original object.

         T_1^k then T_2^k then ... then T_r^k

Here T^k means “transform T applied k times.”